Package com.smartgwt.client.util

# Class XMLSyntaxHiliter

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.SyntaxHiliter
com.smartgwt.client.util.XMLSyntaxHiliter

All Implemented Interfaces:
  `HasHandlers`

public class XMLSyntaxHiliter extends SyntaxHiliter
Regular expression-based source code colorizer for XML source.

NOTE: This class exists only for use with the Smart GWT Feature Explorer and SmartGWT Showcases and cannot be used in any other environment.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMLSyntaxHiliter()`
  `XMLSyntaxHiliter(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `static XMLSyntaxHiliter`
  `getOrCreateRef(JavaScriptObject jsObj)`

  ### Methods inherited from class com.smartgwt.client.util.SyntaxHiliter

  `getJsObj, getOrCreateJsObj, hilite, isCreated, setJavaScriptObject`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XMLSyntaxHiliter

    public XMLSyntaxHiliter()

  - ### XMLSyntaxHiliter

    public XMLSyntaxHiliter(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static XMLSyntaxHiliter getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `SyntaxHiliter`